#ifndef DEVICE_ADC_H
#define DEVICE_ADC_H

#include <avr/interrupt.h>
#include <stdint.h>
#include <avr/io.h>
#define F_CPU 16000000

#define REFS1_BIT (7)
#define REFS1_MASK (1<<REFS1_BIT)
#define REFS0_BIT (6)
#define REFS0_MASK (1<<REFS0_BIT)
#define ADLAR_BIT (5)
#define ADLAR_MASK (1<<ADLAR_BIT)
#define MUX3_BIT (3)
#define MUX3_MASK (1<<MUX3_BIT)
#define MUX2_BIT (2)
#define MUX2_MASK (1<<MUX2_BIT)
#define MUX1_BIT (1)
#define MUX1_MASK (1<<MUX1_BIT)
#define MUX0_BIT (0)
#define MUX0_MASK (1<<MUX0_BIT)
#define ADEN_BIT (7)
#define ADEN_MASK (1<<ADEN_BIT)
#define ADPS2_BIT (2)
#define ADPS2_MASK (1<<ADPS2_BIT)
#define ADPS1_BIT (1)
#define ADPS1_MASK (1<<ADPS1_BIT)
#define ADPS0_BIT (0)
#define ADPS0_MASK (1<<ADPS0_BIT)
#define ADSC_BIT (6)
#define ADSC_MASK (1<<ADSC_BIT)
#define ADIF_BIT (4)
#define ADIF_MASK (1<<ADIF_BIT)
#define ADIE_BIT (3)
#define ADIE_MASK (1<<ADIE_BIT)
#define ADATE_BIT (5)
#define ADATE_MASK (1<<ADATE_BIT)

void adc_init(void);
uint16_t get_adc_value(void);

#endif /*DEVICE_C_H*/